Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		rubberband
Version:	1.2
Release:	1
License:	GPLv2+
URL:		http://www.breakfastquay.com/rubberband/
Group:		System/Libraries
Summary:	Audio time-stretching and pitch-shifting library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		%{name}-1.2-gcc43.patch
Patch1:		%{name}-1.2-mk.patch

#Automatically resolved build dependencies
BuildRequires: fftw-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: vamp-plugin-sdk-devel

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .mk

%build
%configure \
--disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc COPYING README
%_bindir
%_libdir/*.so.*
%_libdir/ladspa/ladspa-rubberband.*
%_datadir/ladspa/rdf/ladspa-rubberband.rdf
%_libdir/vamp/vamp-rubberband.*

%files devel
%defattr(-,root,root,-)
%doc
%_includedir
%_libdir/*.a
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 07 2009 Christian Wasem <wasem@ccux-linux.de> 1.2-1
- initial CCux package release
